Page MenuHomePhabricator

Error in Wikibase/client/includes/Changes/InjectRCRecordsJob.php line 120: Bad value for parameter $params: $params['change'] not set.
Closed, ResolvedPublic

Description

php-1.30.0-wmf.12/extensions/Wikidata/extensions/Wikibase/client/includes/Changes/InjectRCRecordsJob.php

Event Timeline

mmodell created this task.Aug 2 2017, 7:34 PM
Restricted Application added a project: Wikidata. · View Herald TranscriptAug 2 2017, 7:34 PM
Restricted Application added subscribers: PokestarFan, Aklapper. · View Herald Transcript

Change 369722 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.30.0-wmf.11 refs T168053 - rollback due to T172320

https://gerrit.wikimedia.org/r/369722

Change 369722 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.30.0-wmf.11 refs T168053 - rollback due to T172320

https://gerrit.wikimedia.org/r/369722

Mentioned in SAL (#wikimedia-operations) [2017-08-02T19:50:05Z] <twentyafterfour@tin> rebuilt wikiversions.php and synchronized wikiversions files: group1 wikis to 1.30.0-wmf.11 refs T168053 - rollback due to T172320

mmodell triaged this task as Unbreak Now! priority.Aug 2 2017, 7:52 PM

This is blocking the train due to more than doubling the error rate in fatalmonitor.

Restricted Application added subscribers: Liuxinyu970226, Jay8g, TerraCodes. · View Herald TranscriptAug 2 2017, 7:52 PM
daniel claimed this task.EditedAug 2 2017, 9:27 PM
daniel added a project: User-Daniel.
daniel added a subscriber: daniel.

Reason: the new job tried to load the Change object based on the change ID. This fails if the Change object was a "virtual" change created by ChangeRunCoalescer::mergeChanges.
Solution: serialize the merged change instead of the id, or give a list of all IDs in the merged Change, and load and merge again while executing the job.
Effect: no RC rows get inserted for "mergeable" runs of wikidata edits.
Fun fact: $params['change'] is defined, it's just null.

This was not caught in testing because coalesced runs are relatively rare. The exist to reduce spam on the RC board.

I see no good way for a hot fix, sorry. I'll look into this first thing tomorrow.

Thanks Daniel, hotfix is not necessary.

Change 369846 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/extensions/Wikibase@master] Hot fix for InjectRCRecordsJob: disable coalescing

https://gerrit.wikimedia.org/r/369846

Change 369846 abandoned by Daniel Kinzler:
Hot fix for InjectRCRecordsJob: disable coalescing

https://gerrit.wikimedia.org/r/369846

Change 369847 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/extensions/Wikibase@wmf/1.30.0-wmf.12] Hot fix for InjectRCRecordsJob: disable coalescing

https://gerrit.wikimedia.org/r/369847

Change 369847 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@wmf/1.30.0-wmf.12] Hot fix for InjectRCRecordsJob: disable coalescing

https://gerrit.wikimedia.org/r/369847

aude added a comment.Aug 3 2017, 1:12 PM

hot fix is deployed

After rolling forward with wmf.12 I saw this error showing up again. Apparently the hotfix didn't work?

Change 370006 had a related patch set uploaded (by 20after4; owner: 20after4):
[mediawiki/core@wmf/1.30.0-wmf.12] Revert Wikidata to wmf.10

https://gerrit.wikimedia.org/r/370006

Change 370006 abandoned by 20after4:
Revert Wikidata to wmf.10

https://gerrit.wikimedia.org/r/370006

Change 370007 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] All wikis except wikidata to wmf.12, wikidata to wmf.11

https://gerrit.wikimedia.org/r/370007

Change 370007 merged by jenkins-bot:
[operations/mediawiki-config@master] All wikis except wikidata to wmf.12, wikidata to wmf.11

https://gerrit.wikimedia.org/r/370007

Mentioned in SAL (#wikimedia-operations) [2017-08-03T20:29:37Z] <twentyafterfour@tin> rebuilt wikiversions.php and synchronized wikiversions files: all wikis except wikidata to 1.30.0-wmf.12, leaving wikidata behind due to T172320

Just to be clear: it looks like there are fixes for this in wikibase master that made it into wikidata wmf.14 which made the branch cut for core wmf.14, so this shouldn't block wmf.14 train going to group1. This is the assumption I will be working under when I run the train in an hour or so.

Ladsgroup closed this task as Resolved.Aug 18 2017, 9:01 AM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:10 PM